<?php
/**
 * WhatsApp Chat - Main View
 * 
 * WhatsApp Chat Block
 * 
 * @copyright 2016 SCHLIX Web Inc
 *
 * @license MIT
 *
 * @package whatsappchat
 * @version 1.0
 * @author  SCHLIX Web Inc <info@schlix.com>
 * @link    http://www.schlix.com
 */
if (!defined('SCHLIX_VERSION'))
    die('No Access');
?>
<?php if (\Block\WhatsAppChat::getExecutionFlag() != 'yes'): ?>   
    <?php
    global $HTMLHeader;
    $this->CSS('whatsappchat.css');
    $HTMLHeader->Javascript_SCHLIX_UI();
    $this->JAVASCRIPT('whatsappchat.js');

    $imgfile = remove_multiple_slashes(SCHLIX_SITE_HTTPBASE . '/' . $this->getUrlOfScript('whatsapp-btn.png'));
    $str_whatsapp_button = $config['str_whatsapp_button'] ? $config['str_button'] : ___('Chat with us via WhatsApp');
    $str_title = $config['str_title'] ? $config['str_title'] : ___('Chat with us via WhatsApp');
    $str_phone = $this->numbersOnly($config['str_phone']);
    $str_send_button = $config['str_send_button'] ? $config['str_send_button'] : ___('Send');
    $str_placeholder = $config['str_placeholder'] ? $config['str_placeholder'] : ___('Type your message');
    $str_position = $config['str_position'] ? $config['str_position'] : 'bottomleft';
    $valid_positions = ['left','right','bottomleft','bottomright'];
    if (!in_array($str_position, $valid_positions))
            $str_position = 'bottomleft';
    ?>
    <div class="whatsappchat-bar-mini whatsappchat-bar-mini-<?= ___h($str_position) ?>">
        <a href="javascript:void(0)" id="whatsappchat-btn-open"><img src="<?= $imgfile ?>" class="whatsappchat-logo-main" alt="<?= ___h($str_whatsapp_button) ?>" title="<?= ___h($str_whatsapp_button) ?>"  /></a>
    </div>
    <div class="whatsappchat-bar whatsappchat-bar-<?= ___h($str_position) ?>" style="display:none">
        <span id="whatsappchat-phonenumber" data-phone="<?= $str_phone ?>"></span>
        <a href="javascript:void(0)" id="whatsappchat-btn-close"><i class="fa fa-times-circle-o"></i></a>
        <div class="whatsappchat-inner-control">
            <div class="whatsappchat-header"><img src="<?= $imgfile ?>" id="whatsappchat-header-img" alt="<?= ___h($msg) ?>" /><?= ___h($str_title) ?></div>
            <textarea id="whatsappchat-message" class="form-control" placeholder="<?= ___('Type your message') ?>"></textarea>
            <hr />
            <div id="whatsappchat-error-msg"></div>
            <div class="text-right">
            <a href="javascript:void(0)" id="whatsappchat-btn-send" class="btn btn-warning"><i class="fa fa-check-circle"></i> <?= ___h($str_send_button) ?></a>
            </div>
        </div>
    </div>
    <?php \Block\WhatsAppChat::setExecutedFlag(true); ?>
<?php endif ?>